org.apache.mina.example.udp

## Class MemoryMonitor

- java.lang.Object
- - org.apache.mina.example.udp.MemoryMonitor

-     public class MemoryMonitor
      extends Object

  The class that will accept and process clients in order to properly track the memory usage.
  Author:
    Apache MINA Project

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Dimension` | `PANEL_SIZE`
    `static int` | `PORT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemoryMonitor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addClient(SocketAddress clientAddr)`
    `protected boolean` | `containsClient(SocketAddress clientAddr)`
    `static void` | `main(String[] args)`
    `protected void` | `recvUpdate(SocketAddress clientAddr, long update)`
    `protected void` | `removeClient(SocketAddress clientAddr)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PORT

          public static final int PORT

      See Also:
        Constant Field Values

    - #### PANEL_SIZE

          protected static final Dimension PANEL_SIZE

  - ### Constructor Detail

    - #### MemoryMonitor

          public MemoryMonitor()
                        throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### recvUpdate

          protected void recvUpdate(SocketAddress clientAddr,
                        long update)

    - #### addClient

          protected void addClient(SocketAddress clientAddr)

    - #### containsClient

          protected boolean containsClient(SocketAddress clientAddr)

    - #### removeClient

          protected void removeClient(SocketAddress clientAddr)

    - #### main

          public static void main(String[] args)
                           throws IOException

      Throws:
        `IOException`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.